Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.rss.routing
Class EntryLastUpdatedFilter

    java.lang.Object
      org.mule.module.rss.routing.EntryLastUpdatedFilter

All Implemented Interfaces:
  Filter

    public class EntryLastUpdatedFilter

extends Object
implements Filter

Will filter a feed who's update date has changed since the last time it was read. Some feeds to no update this value so `setAcceptWithoutUpdateDate(boolean)` can be set to always consume the feed

Constructor Summary
`EntryLastUpdatedFilter()`
`EntryLastUpdatedFilter(Date lastUpdate)`

Method Summary
`boolean` | `accept(MuleMessage message)` Check a given message against this filter.
`Date` | `getLastUpdate()`
`boolean` | `isAcceptWithoutUpdateDate()`
`void` | `setAcceptWithoutUpdateDate(boolean acceptWithoutUpdateDate)`
`void` | `setLastUpdate(Date lastUpdate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntryLastUpdatedFilter

    public EntryLastUpdatedFilter()

### EntryLastUpdatedFilter

    public EntryLastUpdatedFilter(Date lastUpdate)

Method Detail

### accept

    public boolean accept(MuleMessage message)

  Description copied from interface: `Filter`
  Check a given message against this filter.

  Specified by:
    `accept` in interface `Filter`
  Parameters:
    `message` - a non null message to filter.
  Returns:
    `true` if the message matches the filter

### isAcceptWithoutUpdateDate

    public boolean isAcceptWithoutUpdateDate()

### setAcceptWithoutUpdateDate

    public void setAcceptWithoutUpdateDate(boolean acceptWithoutUpdateDate)

### getLastUpdate

    public Date getLastUpdate()

### setLastUpdate

    public void setLastUpdate(Date lastUpdate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.